Subject: [dhcwg] Relay Agent Behavior

From: "OTA Masazumi" <[email-masked]>
Date: Tue, 28 Sep 2004 14:38:24 +0900

Hello,

Could you please answer my question about Relay Agent Behavior?

The 2nd paragraph of section 20 in RFC3315 is:

"If the relay agent relays messages to the All_DHCP_Servers multicast
address or other multicast addresses, it sets the Hop Limit field to
32."

I think that a relay agent cannot receive the relay message transmitted
by the All_DHCP_Servers multicast address because the relay agent does
not belong to the All_DHCP_SERVERS multicast address. What might
situation be relay the message to the All_DHCP_SERVERS multicast address
by the relay agent? 

Masazumi

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz" <[email-masked]>
Date: Tue, 28 Sep 2004 08:08:05 -0400

I believe this is referring to the Hop Limit at the IPv6 layer, not anything
in the DHCPv6 packet itself.

This allows DHCPv6 servers that may be several (up to 32) routing hops away
to receive the multicast message.

You are correct that the All_DHCP_Servers does not include relays. And, this
is important since we don't want a multicast storm!

- Bernie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of OTA Masazumi
> Sent: Tuesday, September 28, 2004 1:38 AM
> To: [email-masked]
> Subject: [dhcwg] Relay Agent Behavior
> 
> 
> Hello,
> 
> "If the relay agent relays messages to the All_DHCP_Servers 
> multicast address or other multicast addresses, it sets the 
> Hop Limit field to 32."
> 
> I think that a relay agent cannot receive the relay message 
> transmitted by the All_DHCP_Servers multicast address because 
> the relay agent does not belong to the All_DHCP_SERVERS 
> multicast address. What might situation be relay the message 
> to the All_DHCP_SERVERS multicast address by the relay agent? 
> 
> Masazumi
>

---

From: "OTA Masazumi/太田正純" <[email-masked]>
Date: Tue, 28 Sep 2004 21:26:27 +0900

I understood this context very well. 
Thank you very much.

-Masazumi